program TstPCInt21;


{ define SUPPORTED}     { podporovana sluzba }
{$define UNSUPPORTED}   { nedporovana sluzba }

uses
 Crt,
 NumToStr,
 PCInt21;


begin
  TextMode(CO80+Font8x8);
  Writeln('Init ');

  InitPCInt21;

  asm
    push es
    pusha
{$ifdef SUPPORTED}
    mov ah, $35
{$endif}
{$ifdef UNSUPPORTED}
    mov ah, $10
{$endif}
    mov al, 10
    int $21

    popa
    pop es
  end;

  Writeln('Konec ');
  repeat until false;
end.
